Skip to content

Public Cloud

All operations require authentication.

4 operationsv1/vrack/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List attached Public Cloud projectsProduction

GET
/v1/vrack/{serviceName}/cloudProject

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/cloudProject \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an attached Public Cloud projectProduction

GET
/v1/vrack/{serviceName}/cloudProject/{project}

Path parameters

project
required
string

publicCloud project

serviceName
required
string

The internal name of your vrack

Response

200cloudProjectsuccessful operation
project
read-only
string

publicCloud project

vrack
read-only
string

vrack name

Example uses project = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/cloudProject/{project} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "project": "string", "vrack": "string"}

Attach a Public Cloud projectProduction

POST
/v1/vrack/{serviceName}/cloudProject

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

project
required
string

publicCloud project to add

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/cloudProject \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach a Public Cloud projectProduction

DELETE
/v1/vrack/{serviceName}/cloudProject/{project}

Detach a Public Cloud project. Detaches the Public Cloud project from the vRack. Returns the task that performs it.

Path parameters

project
required
string

publicCloud project

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses project = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/cloudProject/{project} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}